from pulumi import StackReference as _stack
from typing import Mapping
from pydantic.dataclasses import dataclass, ConfigDict


@dataclass(config=ConfigDict(arbitrary_types_allowed=True))
class _StackRegistry:
    data: Mapping[str, _stack]

    def register(self, stack_name: str, stack_object: _stack) -> None:
        self.data[stack_name] = stack_object

    def get(self, stack_name) -> _stack:
        return self.data.get(stack_name)


StackRegistry = _StackRegistry(data={})
